Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.script
Interface IDataRow

    public interface IDataRow

Represents a data row in an open data set. Methods in this interface allows getting and setting column data

Method Summary
`java.lang.Object` | `getColumnValue(int index)` Gets the column data by index.
`java.lang.Object` | `getColumnValue(java.lang.String name)` Gets the column data by column name.
`IDataSetInstanceHandle` | `getDataSet()` Gets the data set runtime instance which contains this row
`IResultMetaData` | `getResultMetaData()` Gets the metadata of the data row.
`void` | `setColumnValue(int index, java.lang.Object value)` Sets the column data by index.
`void` | `setColumnValue(java.lang.String name, java.lang.Object value)` Sets the column data by column name.

Method Detail

### getDataSet

    IDataSetInstanceHandle getDataSet()

  Gets the data set runtime instance which contains this row

### getResultMetaData

    IResultMetaData getResultMetaData()
                                      throws org.eclipse.birt.core.exception.BirtException

  Gets the metadata of the data row. This is a shortcut to getDataSet().getResultMetaData().

  Returns:
    result metadata. If no result metadata is currently availabe, null is returned.
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### getColumnValue

    java.lang.Object getColumnValue(int index)
                                    throws org.eclipse.birt.core.exception.BirtException

  Gets the column data by index. Data row column index starts from 1.

  Parameters:
    `index` - 1-based index of column. If value is 0, an internal index of the current row (if available) is returned
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if index is out of bounds, or if current data row is unavailable

### setColumnValue

    void setColumnValue(int index,
                        java.lang.Object value)
                        throws org.eclipse.birt.core.exception.BirtException

  Sets the column data by index. Column index starts from 1.

  Parameters:
    `index` - 1-based index of column. Value must be between 1 and the number of columns
    `value` - New value for column (can be null)
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if index is out of bounds, or if value has an incompatible data type, or if update is not allowed at this time

### getColumnValue

    java.lang.Object getColumnValue(java.lang.String name)
                                    throws org.eclipse.birt.core.exception.BirtException

  Gets the column data by column name.

  Parameters:
    `name` - of column
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if column name is not found, or if current data row is unavailable

### setColumnValue

    void setColumnValue(java.lang.String name,
                        java.lang.Object value)
                        throws org.eclipse.birt.core.exception.BirtException

  Sets the column data by column name.

  Parameters:
    `name` - of column
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if column name is not found, or if value has an incompatible data type, or if update is not allowed at this time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.